osl::misc::MilliSeconds Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Public Member Functions | Static Public Member Functions | Private Attributes | List of all members
osl::misc::MilliSeconds Class Reference

`#include <milliSeconds.h>`

Collaboration diagram for osl::misc::MilliSeconds:
[legend]

## Classes
class | Interval

## Public Member Functions
| MilliSeconds (int64_t ms=0)
int64_t | value () const
const MilliSeconds | operator+ (int64_t diff) const
const MilliSeconds | operator- (int64_t diff) const
const MilliSeconds | operator+ (Interval diff) const
const MilliSeconds | operator- (Interval diff) const
const Interval | operator- (MilliSeconds r) const
double | elapsedSeconds () const

## Static Public Member Functions
static const MilliSeconds | now ()

## Private Attributes
int64_t | msec

## Detailed Description

Definition at line 21 of file milliSeconds.h.

## Constructor & Destructor Documentation

osl::misc::MilliSeconds::MilliSeconds | ( | int64_t | ms = `0`) |  |
| inlineexplicit

Definition at line 42 of file milliSeconds.h.

Referenced by now(), operator+(), and operator-().

## Member Function Documentation

double osl::misc::MilliSeconds::elapsedSeconds | ( | ) |  | const
| inline

Definition at line 53 of file milliSeconds.h.

References now().

Referenced by testWinOrLose().

const osl::misc::MilliSeconds osl::misc::MilliSeconds::now | ( | ) |  |
| static

Definition at line 9 of file milliSeconds.cc.

References MilliSeconds().

Referenced by elapsedSeconds().

const MilliSeconds osl::misc::MilliSeconds::operator+ | ( | int64_t | diff) |  | const
| inline

Definition at line 44 of file milliSeconds.h.

References MilliSeconds(), and value().

const MilliSeconds osl::misc::MilliSeconds::operator+ | ( | Interval | diff) |  | const
| inline

Definition at line 46 of file milliSeconds.h.

References operator+(), and osl::misc::MilliSeconds::Interval::value().

Referenced by operator+().

const MilliSeconds osl::misc::MilliSeconds::operator- | ( | int64_t | diff) |  | const
| inline

Definition at line 45 of file milliSeconds.h.

References MilliSeconds(), and value().

const MilliSeconds osl::misc::MilliSeconds::operator- | ( | Interval | diff) |  | const
| inline

Definition at line 47 of file milliSeconds.h.

References operator-(), and osl::misc::MilliSeconds::Interval::value().

Referenced by operator-().

const Interval osl::misc::MilliSeconds::operator- | ( | MilliSeconds | r) |  | const
| inline

Definition at line 48 of file milliSeconds.h.

References value().

int64_t osl::misc::MilliSeconds::value | ( | ) |  | const
| inline

Definition at line 43 of file milliSeconds.h.

References msec.

Referenced by operator+(), operator-(), osl::misc::operator<(), and osl::misc::operator==().

## Member Data Documentation

int64_t osl::misc::MilliSeconds::msec
| private

Definition at line 23 of file milliSeconds.h.

Referenced by value().

The documentation for this class was generated from the following files:

- milliSeconds.h
- milliSeconds.cc